​
Select Service
ves-io-schema-service_policy_rule-API-Get
Published April 5, 2023 | Last modified May 28, 2026
Examples of getting service_policy_rule
Usecase:
Get service-policy-rule-1
Request using vesctl:
vesctl configuration get service_policy_rule service-policy-rule-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: service-policy-rule-1 namespace: documentationreferringObjects: []resourceVersion: "2596"spec: action: ALLOW anyAsn: {} anyIp: {} argMatchers: [] clientNameMatcher: exactValues: [] regexValues: - .+\.ves.io clientRole: match: app-user cookieMatchers: [] gotoPolicy: [] headers: - item: exactValues: - en-US regexValues: [] transformers: [] name: Accept-Language - item: exactValues: - gzip - deflate regexValues: [] transformers: [] name: Accept-Encoding jwtClaims: [] labelMatcher: keys: - ves.io/appType originServerSubsetsAction: {} path: exactValues: - /register - /guest-play prefixValues: [] regexValues: [] suffixValues: [] transformers: [] queryParams: - item: exactValues: - guest regexValues: [] transformers: [] key: guest-user-name rateLimiter: [] scheme: [] wafAction: none: {}status: []systemMetadata: creationTimestamp: "2026-04-13T02:00:23.171564Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 317a1bdd-3c40-4bb8-90bb-5fcd1d9b4f1bRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/service_policy_rules/service-policy-rule-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Mon, 13 Apr 2026 02:00:23 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "2596", "metadata": { "name": "service-policy-rule-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "317a1bdd-3c40-4bb8-90bb-5fcd1d9b4f1b", "creation_timestamp": "2026-04-13T02:00:23.171564Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "action": "ALLOW", "client_name_matcher": { "exact_values": [ ], "regex_values": [ ".+\\.ves.io" ] }, "client_role": { "match": "app-user" }, "server_selector": null, "label_matcher": { "keys": [ "ves.io/appType" ] }, "path": { "prefix_values": [ ], "exact_values": [ "/register", "/guest-play" ], "regex_values": [ ], "suffix_values": [ ], "transformers": [ ], "invert_matcher": false, "encoded_path_matcher": false }, "headers": [ { "name": "Accept-Language", "item": { "exact_values": [ "en-US" ], "regex_values": [ ], "transformers": [ ] }, "invert_matcher": false }, { "name": "Accept-Encoding", "item": { "exact_values": [ "gzip", "deflate" ], "regex_values": [ ], "transformers": [ ] }, "invert_matcher": false } ], "query_params": [ { "key": "guest-user-name", "item": { "exact_values": [ "guest" ], "regex_values": [ ], "transformers": [ ] }, "invert_matcher": false } ], "http_method": null, "any_ip": {
}, "any_asn": {
}, "api_group_matcher": null, "port_matcher": null, "expiration_timestamp": null, "body_matcher": null, "arg_matchers": [ ], "cookie_matchers": [ ], "waf_action": { "none": {
} }, "domain_matcher": null, "rate_limiter": [ ], "virtual_host_matcher": null, "scheme": [ ], "url_matcher": null, "challenge_action": "DEFAULT_CHALLENGE", "goto_policy": [ ], "content_rewrite_action": null, "shape_protected_endpoint_action": null, "bot_action": null, "mum_action": null, "ip_reputation_action": null, "request_constraints": null, "segment_policy": null, "origin_server_subsets_action": { }, "jwt_claims": [ ], "mobile_identifier_matcher_action": null, "log_rule_evaluation": false }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}